hpp-core: hpp::core::pathOptimization Namespace Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
hpp::core::pathOptimization Namespace Reference
Path Optimization

## Classes
class | ConfigOptimization
struct | ConfigOptimizationTraits
class | Cost
class | GradientBased
struct | LinearConstraint
| A linear constraint \( J \times x = b \). More...
class | PartialShortcut
struct | PartialShortcutTraits
struct | QuadraticProgram
class | RandomShortcut
class | RSTimeParameterization
class | SimpleShortcut
class | SimpleTimeParameterization
class | SplineGradientBased
class | SplineGradientBasedAbstract
| Common base for optimization-based path optimizer with splines. More...
class | TrapezoidalTimeParameterization

## Typedefs
typedef shared_ptr< RandomShortcut > | RandomShortcutPtr_t
typedef shared_ptr< SimpleShortcut > | SimpleShortcutPtr_t
typedef shared_ptr< Cost > | CostPtr_t
typedef shared_ptr< GradientBased > | GradientBasedPtr_t
typedef shared_ptr< PathLength > | PathLengthPtr_t
typedef shared_ptr< PartialShortcut > | PartialShortcutPtr_t
typedef shared_ptr< RSTimeParameterization > | RSTimeParameterizationPtr_t
typedef shared_ptr< SimpleTimeParameterization > | SimpleTimeParameterizationPtr_t
typedef shared_ptr< TrapezoidalTimeParameterization > | TrapezoidalTimeParameterizationPtr_t
typedef shared_ptr< ConfigOptimization > | ConfigOptimizationPtr_t
typedef std::vector< CollisionConstraintsResult > | CollisionConstraintsResults_t
typedef std::vector< JointConstPtr_t > | JointStdVector_t

## Functions
| HPP_PREDEF_CLASS (RandomShortcut)
| HPP_PREDEF_CLASS (SimpleShortcut)
| HPP_PREDEF_CLASS (Cost)
| HPP_PREDEF_CLASS (GradientBased)
| HPP_PREDEF_CLASS (PathLength)
| HPP_PREDEF_CLASS (PartialShortcut)
| HPP_PREDEF_CLASS (RSTimeParameterization)
| HPP_PREDEF_CLASS (SimpleTimeParameterization)
| HPP_PREDEF_CLASS (TrapezoidalTimeParameterization)
| HPP_PREDEF_CLASS (ConfigOptimization)

## Typedef Documentation

## ◆ ConfigOptimizationPtr_t

typedef shared_ptr<ConfigOptimization> hpp::core::pathOptimization::ConfigOptimizationPtr_t

## ◆ CostPtr_t

typedef shared_ptr<Cost> hpp::core::pathOptimization::CostPtr_t

## ◆ GradientBasedPtr_t

typedef shared_ptr<GradientBased> hpp::core::pathOptimization::GradientBasedPtr_t

## ◆ JointStdVector_t

typedef std::vector<JointConstPtr_t> hpp::core::pathOptimization::JointStdVector_t

## ◆ PartialShortcutPtr_t

typedef shared_ptr<PartialShortcut> hpp::core::pathOptimization::PartialShortcutPtr_t

## ◆ PathLengthPtr_t

typedef shared_ptr<PathLength> hpp::core::pathOptimization::PathLengthPtr_t

## ◆ RandomShortcutPtr_t

typedef shared_ptr<RandomShortcut> hpp::core::pathOptimization::RandomShortcutPtr_t

## ◆ RSTimeParameterizationPtr_t

typedef shared_ptr<RSTimeParameterization> hpp::core::pathOptimization::RSTimeParameterizationPtr_t

## ◆ SimpleShortcutPtr_t

typedef shared_ptr<SimpleShortcut> hpp::core::pathOptimization::SimpleShortcutPtr_t

## ◆ SimpleTimeParameterizationPtr_t

typedef shared_ptr<SimpleTimeParameterization> hpp::core::pathOptimization::SimpleTimeParameterizationPtr_t

## ◆ TrapezoidalTimeParameterizationPtr_t

typedef shared_ptr<TrapezoidalTimeParameterization> hpp::core::pathOptimization::TrapezoidalTimeParameterizationPtr_t

## Function Documentation

## ◆ HPP_PREDEF_CLASS() [1/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | ConfigOptimization |  | ) |

## ◆ HPP_PREDEF_CLASS() [2/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | Cost |  | ) |

## ◆ HPP_PREDEF_CLASS() [3/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | GradientBased |  | ) |

## ◆ HPP_PREDEF_CLASS() [4/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | PartialShortcut |  | ) |

## ◆ HPP_PREDEF_CLASS() [5/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | PathLength |  | ) |

## ◆ HPP_PREDEF_CLASS() [6/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | RandomShortcut |  | ) |

## ◆ HPP_PREDEF_CLASS() [7/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | RSTimeParameterization |  | ) |

## ◆ HPP_PREDEF_CLASS() [8/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | SimpleShortcut |  | ) |

## ◆ HPP_PREDEF_CLASS() [9/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | SimpleTimeParameterization |  | ) |

## ◆ HPP_PREDEF_CLASS() [10/10]

hpp::core::pathOptimization::HPP_PREDEF_CLASS | ( | TrapezoidalTimeParameterization |  | ) |